Skip to main content
POST

Create a lead

Scope:crm:deals.write
https://api.holded.com/api/v2/leads

Creates a new lead. The response returns the new lead `id`.

Request body

object
funnel_idstringrequired

Funnel ID

contact_idstringrequired

Contact ID

namestringrequired

Lead name

stage_idstring | nulloptional

Stage ID

valuenumber | nulloptional

Deal value

potentialnumber | nulloptional

Deal potential

due_datestring<date> | nulloptional

Due date (YYYY-MM-DD)

assigned_tostring | nulloptional

Assigned user ID

custom_fields[]object[] | nulloptional

Custom fields

Request

python
import requests

url = "https://api.holded.com/api/v2/leads"
headers = {
    "Authorization": "Bearer YOUR_API_KEY",
    "Accept": "application/json",
}

payload = {
    "funnel_id": "string",
    "contact_id": "string",
    "name": "string",
    "stage_id": "string",
    "value": 0,
    "potential": 0,
    "due_date": "2024-01-15",
    "assigned_to": "string",
    "custom_fields": [
        {}
    ]
}
response = requests.post(url, headers=headers, json=payload)
print(response.json())

Responses

Response

json
{
  "id": "507f1f77bcf86cd799439011"
}

Success responses

201Lead createdapplication/json
object
idstring

Error responses

400Bad requestapplication/json
401Invalid or missing API keyapplication/json
403Insufficient permissionsapplication/json
422Validation errorapplication/json
429Rate limit exceededapplication/json